#  Copyright (C) 2007-2011  CEA/DEN, EDF R&D, OPEN CASCADE
#
#  Copyright (C) 2003-2007  OPEN CASCADE, EADS/CCR, LIP6, CEA/DEN,
#  CEDRAT, EDF R&D, LEG, PRINCIPIA R&D, BUREAU VERITAS
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2.1 of the License.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
#  See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
#
from SuperV import *
import Engines
def FindComponentInstance( ComponentRef ) :
    print "FindComponentInstance",ComponentRef
    AddComponentObjRef = ComponentRef._narrow(Engines.EngineComponent)
    print "FindComponentInstance",AddComponentObjRef
    TheContainer = AddComponentObjRef.GetContainerRef()
    print "FindComponentInstance",TheContainer
    TheAddComponentObjRef=TheContainer.find_component_instance( "AddComponent" , 0 )
    print "FindComponentInstance",TheAddComponentObjRef
    return TheAddComponentObjRef

from LifeCycleCORBA import *
def defAddComponent( aContainer , aComponent ) :
    orb = CORBA.ORB_init([], CORBA.ORB_ID)
    lcc = LifeCycleCORBA(orb)
    ComponentRef = lcc.FindOrLoadComponent( aContainer , aComponent )
    return ComponentRef

AddComponent = defAddComponent( 'FactoryServer' , 'AddComponent' )
AddComponent._narrow( Engines.EngineComponent ).ping()

ComponentRef = FindComponentInstance( AddComponent )
ComponentRef.ping()
